const webpack = require('webpack');
const uglifyES = require('uglifyjs-webpack-plugin');
const path = require('path');

let tsconfigOverride = {
    declaration: false,
    sourceMap: true,
    noEmit: false
};

module.exports = {
    entry: "./src/index.ts",
    mode: "production",
    output: {
        filename: 'aspnet-validation.min.js',
        path: path.resolve(__dirname, 'dist'),
        library: 'aspnetValidation',
        libraryTarget: 'umd'
    },
    devtool: 'source-map',
    optimization: {
        minimizer: [
            new uglifyES({
                sourceMap: true,
                uglifyOptions: {
                    ecma: 5
                }
            })
        ],
    },
    resolve: {
        extensions: ['.ts', '.tsx', '.js']
    },
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                loader: 'ts-loader',
                options: {
                    compilerOptions: tsconfigOverride
                }
            },
        ]
    },
};
